#ifndef EYELIGHTSHADER_HXX
#define EYELIGHTSHADER_HXX

#include "Shader.hxx"

class EyeLightShader : public Shader
{
public:
	Vec3f color;

	EyeLightShader(Scene *scene, Vec3f color=Vec3f(0.5,0.5,0.5))
		: Shader(scene), color(color)
	{};

	virtual Vec3f Shade(Ray &ray)
	{     
		return color * fabs(Dot(ray.dir,ray.hit->GetNormal(ray)));
	};
};

#endif
